[Rainmeter]
BackgroundMode=1
Update=1000


[Variables]
Color=Green
; To change color (Pink, Yellow, Green, Blue, Purple)

::::::::::::::::::::::::::::::
MEASURES
::::::::::::::::::::::::::::::

[MeasureWA]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":""

[MeasureWAFull]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[MeasureWACurr]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureWADuration]
Measure=Calc
Formula=(MeasureWACurr<=0)?0:(MeasureWACurr/(MeasureWAFull*1000+1)) 

[MeasureWADurationI]
Measure=Calc
Formula=(MeasureWACurr<=0)?0:(MeasureWACurr/(MeasureWAFull*1000+1))
InvertMeasure=1

[MeasureRing]
Measure=Calc
Formula=360

[MeasureRing2]
Measure=Calc
Formula=140

[MeasureWinampCurrOrg]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[MeasureWinampCurrMin]
Measure=Calc
Formula=((MeasureWinampCurrOrg / 1000) - ((MeasureWinampCurrOrg / 1000) % 60)) /60

[MeasureWinampCurrSec]
Measure=Calc
Formula=(MeasureWinampCurrOrg / 1000) % 60 = 60 ? 0 : (MeasureWinampCurrOrg / 1000) % 60

[MeasureWinampCurrZero]
Measure=Calc
Formula=(((MeasureWinampCurrOrg) / 1000) % 60)  < 9 ? 0 : 1
Substitute="1":""

[MeasureWinampFullOrg]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[MeasureWinampFullMin]
Measure=Calc
Formula=(MeasureWinampFullOrg - (MeasureWinampFullOrg % 60)) /60

[MeasureWinampFullSec]
Measure=Calc
Formula=MeasureWinampFullOrg % 60

[MeasureWinampFullZero]
Measure=Calc
Formula=(MeasureWinampFullOrg % 60)  < 9 ? 0 : 1
Substitute="1":""

::::::::::::::::::::::::::::::
BG
::::::::::::::::::::::::::::::

[MeterBG]
Meter=Image
X=0
Y=0
ImageName=BG#Color#.png
Hidden=0

::::::::::::::::::::::::::::::
TRACKINFO
::::::::::::::::::::::::::::::

[MeterTrackInfoBG]
Meter=Image
X=95
Y=26
ImageName=TrackInfo.png
Hidden=0

[MeterTitle]
Meter=STRING
MeasureName=MeasureWA
X=100
Y=30
FontColor=255, 255, 255, 255
StringStyle=Bold
FontSize=6
StringAlign=Left
FontFace=Trebuchet MS
AntiAlias=1
Hidden=0

::::::::::::::::::::::::::::::
BUTTONS
::::::::::::::::::::::::::::::

[MeterButtonsBG]
Meter=Image
X=95
Y=26
ImageName=Buttons.png
Hidden=1

[MeterPrevOver]
Meter=IMAGE
ImageName=PrevOver#Color#.png
X=128
Y=29
Hidden=1

[MeterPrevOverTip]
Meter=STRING
X=141
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Previous
Hidden=1

[MeterPrevButton]
Meter=IMAGE
X=128
Y=29
W=26
H=12
Hidden=1
MouseOverAction=!execute [!RainmeterShowMeter MeterPrevOver] [!RainmeterShowMeter MeterPrevOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureWA SendMessage 273 40044 0"]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterPrevOver] [!RainmeterHideMeter MeterPrevOverTip] [!RainmeterRedraw]

[MeterPlayOver]
Meter=IMAGE
ImageName=PlayOver#Color#.png
X=160
Y=29
Hidden=1

[MeterPlayOverTip]
Meter=STRING
X=173
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Play
Hidden=1

[MeterPlayButton]
Meter=IMAGE
X=160
Y=29
W=26
H=12
Hidden=1
MouseOverAction=!execute [!RainmeterShowMeter MeterPlayOver] [!RainmeterShowMeter MeterPlayOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureWA SendMessage 273 40045 0"]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterPlayOver] [!RainmeterHideMeter MeterPlayOverTip] [!RainmeterRedraw]

[MeterPauseOver]
Meter=IMAGE
ImageName=PauseOver#Color#.png
X=192
Y=29
Hidden=1

[MeterPauseOverTip]
Meter=STRING
X=205
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Pause
Hidden=1

[MeterPauseButton]
Meter=IMAGE
X=192
Y=29
W=26
H=12
Hidden=1
MouseOverAction=!execute [!RainmeterShowMeter MeterPauseOver] [!RainmeterShowMeter MeterPauseOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureWA SendMessage 273 40046 0"]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterPauseOver] [!RainmeterHideMeter MeterPauseOverTip] [!RainmeterRedraw]

[MeterStopOver]
Meter=IMAGE
ImageName=StopOver#Color#.png
X=224
Y=29
Hidden=1

[MeterStopOverTip]
Meter=STRING
X=237
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Stop
Hidden=1

[MeterStopButton]
Meter=IMAGE
X=224
Y=29
W=26
H=12
Hidden=1
MouseOverAction=!execute [!RainmeterShowMeter MeterStopOver] [!RainmeterShowMeter MeterStopOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureWA SendMessage 273 40047 0"]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterStopOver] [!RainmeterHideMeter MeterStopOverTip] [!RainmeterRedraw]

[MeterNextOver]
Meter=IMAGE
ImageName=NextOver#Color#.png
X=256
Y=29
Hidden=1

[MeterNextOverTip]
Meter=STRING
X=269
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Next
Hidden=1

[MeterNextButton]
Meter=IMAGE
X=256
Y=29
W=26
H=12
Hidden=1
MouseOverAction=!execute [!RainmeterShowMeter MeterNextOver] [!RainmeterShowMeter MeterNextOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureWA SendMessage 273 40048 0"]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterNextOver] [!RainmeterHideMeter MeterNextOverTip] [!RainmeterRedraw]


::::::::::::::::::::::::::::::
SWITCH
::::::::::::::::::::::::::::::

[MeterSwitchOverTrackInfo]
Meter=IMAGE
ImageName=SwitchOver#Color#.png
X=322
Y=29
Hidden=1

[MeterSwitchOverTrackInfoTip]
Meter=STRING
X=328
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Switch to TrackInfo Mode
Hidden=1

[MeterSwitchOverButtons]
Meter=IMAGE
ImageName=SwitchOver#Color#.png
X=335
Y=29
Hidden=1

[MeterSwitchOverButtonsTip]
Meter=STRING
X=341
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Switch to Buttons Mode
Hidden=1

[MeterSwitchToTrackInfo]
Meter=IMAGE
X=322
Y=29
W=12
H=12
Hidden=0
MouseOverAction=!execute [!RainmeterShowMeter MeterSwitchOverTrackInfo] [!RainmeterShowMeter MeterSwitchOverTrackInfoTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterShowMeter MeterTrackInfoBG] [!RainmeterShowMeter MeterTitle] [!RainmeterHideMeter MeterButtonsBG] [!RainmeterHideMeter MeterPlayButton] [!RainmeterHideMeter MeterPauseButton] [!RainmeterHideMeter MeterPrevButton] [!RainmeterHideMeter MeterNextButton] [!RainmeterHideMeter MeterStopButton]
LeftMouseUpAction=!execute [!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterSwitchOverTrackInfo] [!RainmeterHideMeter MeterSwitchOverTrackInfoTip] [!RainmeterRedraw]

[MeterSwitchToButtons]
Meter=IMAGE
X=335
Y=29
W=12
H=12
Hidden=0
MouseOverAction=!execute [!RainmeterShowMeter MeterSwitchOverButtons] [!RainmeterShowMeter MeterSwitchOverButtonsTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterShowMeter MeterButtonsBG] [!RainmeterShowMeter MeterPlayButton] [!RainmeterShowMeter MeterPauseButton] [!RainmeterShowMeter MeterPrevButton] [!RainmeterShowMeter MeterNextButton] [!RainmeterShowMeter MeterStopButton] [!RainmeterHideMeter MeterTrackInfoBG] [!RainmeterHideMeter MeterTitle]
LeftMouseUpAction=!execute [!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterSwitchOverButtons] [!RainmeterHideMeter MeterSwitchOverButtonsTip] [!RainmeterRedraw]

::::::::::::::::::::::::::::::
CLOSE
::::::::::::::::::::::::::::::

[MeterCloseOver]
Meter=IMAGE
ImageName=CloseOver#Color#.png
X=363
Y=30
Hidden=1

[MeterCloseOverTip]
Meter=STRING
X=368
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Close Skin
Hidden=1

[MeterClose]
Meter=IMAGE
X=363
Y=30
W=10
H=10
MouseOverAction=!execute [!RainmeterShowMeter MeterCloseOver] [!RainmeterShowMeter MeterCloseOverTip] [!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterRedraw]
LeftMouseUpAction=!RainmeterDeactivateConfig
MouseLeaveAction=!execute [!RainmeterHideMeter MeterCloseOver] [!RainmeterHideMeter MeterCloseOverTip] [!RainmeterRedraw]

::::::::::::::::::::::::::::::
SEEKBAR
::::::::::::::::::::::::::::::

[MeterWAProgress]
MeasureName=MeasureWADuration
Meter=BAR
X=28
Y=32
BarOrientation=HORIZONTAL
BarImage=SeekBar#Color#.png
Flip=0

[MeterTimeFull]
Meter=STRING
MeasureName=MeasureWinampCurrMin
MeasureName2=MeasureWinampCurrSec
MeasureName3=MeasureWinampFullMin
MeasureName4=MeasureWinampFullSec
MeasureName5=MeasureWinampCurrZero
MeasureName6=MeasureWinampFullZero
X=78
Y=29
StringAlign=Right
FontColor=0, 0, 0, 255
FontSize=7
FontFace=Trebuchet MS
Text="%3:%6%4"
AntiAlias=1

[MeterTimeFullTip]
Meter=STRING
X=72
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Full Length
Hidden=1

[MeterTimeFullShow]
Meter=IMAGE
X=66
Y=29
W=12
H=12
MouseOverAction=!execute [!RainmeterShowMeter MeterTimeFullTip] [!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterTimeFullTip] [!RainmeterRedraw]

[MeterTimeCurr]
Meter=STRING
MeasureName=MeasureWinampCurrMin
MeasureName2=MeasureWinampCurrSec
MeasureName3=MeasureWinampFullMin
MeasureName4=MeasureWinampFullSec
MeasureName5=MeasureWinampCurrZero
MeasureName6=MeasureWinampFullZero
X=28
Y=29
StringAlign=Left
FontColor=0, 0, 0, 255
FontSize=7
FontFace=Trebuchet MS
Text="%1:%5%2"
AntiAlias=1

[MeterTimeCurrTip]
Meter=STRING
X=34
Y=3
FontColor=0, 0, 0, 255
FontFace=Trebuchet MS
FontSize=7
StringAlign=Center
StringStyle=BOLD
AntiAlias=1
Text=Current Length
Hidden=1

[MeterTimeCurrShow]
Meter=IMAGE
X=28
Y=29
W=12
H=12
MouseOverAction=!execute [!RainmeterShowMeter MeterTimeCurrTip] [!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterHideMeter MeterTimeCurrTip] [!RainmeterRedraw]